<div class="container" fxLayout="row" fxLayoutAlign="center none">
  <div fxFlex="95%">
    <div>
      <mat-card>
        <mat-card-content>
          <h2>Add a new Product</h2>

          <form [formGroup]="addProductForm">
            <div fxLayout="row">
              <div
                fxFlex="40%"
                fxFlex.md="60%"
                fxFlex.sm="50%"
                fxFlex.xs="100%"
              >
                <mat-form-field class="full-width">
                  <mat-label>Title</mat-label>
                  <input matInput placeholder="Name the product" formControlName="title" />
                </mat-form-field>

                <mat-form-field class="full-width">
                  <mat-label>Description</mat-label>
                  <textarea
                    matInput
                    placeholder="Describe the product"
                    formControlName="description"
                  ></textarea>
                </mat-form-field>

                <button
                  mat-raised-button
                  color="primary"
                  (click)="addProduct()"
                >
                  Add Product
                </button>
              </div>
            </div>
          </form>
        </mat-card-content>
      </mat-card>
    </div>

    <h2>Products</h2>

    <div>
      <mat-accordion>
        <mat-expansion-panel *ngFor="let product of products; last as last">
          <mat-expansion-panel-header>
            <mat-panel-title>
              {{ product.title }}
            </mat-panel-title>
            <mat-panel-description>
              {{ product.description }}
            </mat-panel-description>
          </mat-expansion-panel-header>
          <h3>Goals</h3>
          <mat-divider></mat-divider>


          <p matListItemLine *ngFor="let goal of product.goals">
            <span>{{ goal.title }}</span>
            <span class="demo-2"> -- {{ goal.description }}</span>
          </p>
          <button
            mat-flat-button
            color="accent"
            routerLink="/goal-home/{{ product.id }}"
          >
            <mat-icon>open_in_new</mat-icon>Goals
          </button>
          <!-- <mat-divider [inset]="true" *ngIf="!last"></mat-divider> -->
        </mat-expansion-panel>
      </mat-accordion>
    </div>


  </div>
</div>
